curl -X POST 'https://api.sendforsign.com/api/placeholder' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "create",
"clientKey": "YOUR_CLIENT_KEY",
"contractKey": "CONTRACT_KEY",
"placeholder": {
"name": "Placeholder name",
"value": "Placeholder value"
}
}
}'
{
"placeholder": {
"id": "3",
"createTime": "2024-11-22T11:11:24.000Z",
"changeTime": "2024-11-22T11:11:24.000Z",
"name": "1",
"value": "hello",
"type": "1",
"placeholderKey": "PLACEHOLDER_KEY",
"position": "3"
},
"code": 201,
"message": "Placeholder created"
}
Placeholder
Create placeholder
Add a placeholder to a contract.
POST
/
api
/
placeholder
curl -X POST 'https://api.sendforsign.com/api/placeholder' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "create",
"clientKey": "YOUR_CLIENT_KEY",
"contractKey": "CONTRACT_KEY",
"placeholder": {
"name": "Placeholder name",
"value": "Placeholder value"
}
}
}'
{
"placeholder": {
"id": "3",
"createTime": "2024-11-22T11:11:24.000Z",
"changeTime": "2024-11-22T11:11:24.000Z",
"name": "1",
"value": "hello",
"type": "1",
"placeholderKey": "PLACEHOLDER_KEY",
"position": "3"
},
"code": 201,
"message": "Placeholder created"
}
One way to add placeholders to a contract is when you create a new contract.
See this page to learn more.
If a contract already exists, use the request below.
Body parameters
Show child attribute
Show child attribute
Action type.
Key of the client.
Key of the contract.
Response
The code of the answer.
The message of the answer.
curl -X POST 'https://api.sendforsign.com/api/placeholder' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "create",
"clientKey": "YOUR_CLIENT_KEY",
"contractKey": "CONTRACT_KEY",
"placeholder": {
"name": "Placeholder name",
"value": "Placeholder value"
}
}
}'
{
"placeholder": {
"id": "3",
"createTime": "2024-11-22T11:11:24.000Z",
"changeTime": "2024-11-22T11:11:24.000Z",
"name": "1",
"value": "hello",
"type": "1",
"placeholderKey": "PLACEHOLDER_KEY",
"position": "3"
},
"code": 201,
"message": "Placeholder created"
}
⌘I